package com.jkcredit.asychronous.dao;

import com.jkcredit.asychronous.entity.CreditCharge;
import org.springframework.data.mongodb.repository.CountQuery;
import org.springframework.data.mongodb.repository.MongoRepository;


/**
 * @author sunzhaoning
 */
public interface CreditChargeRepository  extends MongoRepository<CreditCharge, Long> {

    /**
     * 根据时间查询计费量
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param isCharge 是否计费
     * @return 返回条数
     */
    @CountQuery(value = "{" +
            "    time:{$gt:?0,$lt:?1},\n" +
            "    isCharge:?2\n" +
            "}")
    int findChargeByTime(Long startTime, Long endTime, Integer isCharge);
}
