package com.jkcredit.asychronous.job;

import com.jkcredit.asychronous.common.ResponseEntity;
import com.jkcredit.asychronous.entity.Car;
import com.jkcredit.asychronous.service.CarService;
import com.jkcredit.asychronous.util.ExcelUtil;
import com.jkcredit.asychronous.util.FtpUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Descirption
 * @Author Zhaoning Sun
 * @Date Created in 2018/6/22 下午6:01
 */
@Component
@Slf4j
public class CarJob {

    @Value("${carftp.upload.local}")
    private String localDir;
    @Value("${ftp.host}")
    private String host;
    @Value("${ftp.port}")
    private Integer port;
    @Value("${ftp.username}")
    private String userName;
    @Value("${ftp.passphrase}")
    private String passphrase;
    @Value("${ftp.dir.car}")
    private String dir;

    @Autowired
    private CarService carService;

//    @Scheduled(cron = "0 0/2 * * * ?")
    public void car() {
        List<Car> list = carService.selectByTime();
        if (list.size() > 0) {
            log.info("开始 车辆信息excel 导出");
//            String fileName = ExcelUtil.export(list, Car.class, localDir);
//            log.info("CarExcel：{}", fileName);
//            FtpUtil.fileUpload(host, port, userName, passWord, dir, fileName);
        } else {
            log.error("error：{}", new ResponseEntity(400, "车辆信息未查到", ""));
        }

    }
}
