package com.jkcredit.asychronous.mq;

import com.jkcredit.asychronous.entity.CreditCharge;
import com.jkcredit.asychronous.service.CreditChargeService;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.Date;

/**
 * @author sunzhaoning
 */
@Component
public class RabbitMqReceiver {

    @Autowired
    private CreditChargeService creditChargeService;
    @RabbitListener(queues = {"marriage"})
    public void process(Channel channel, Message message) {
        try {
            //告诉服务器收到这条消息 已经被我消费了 可以在队列删掉 这样以后就不会再发了 否则消息服务器以为这条消息没处理掉 后续还会在发
            channel.basicAck(message.getMessageProperties().getDeliveryTag(), false);
            String [] result = new String(message.getBody()).split("\\|");

            CreditCharge creditCharge = new CreditCharge();
            creditCharge.setCustomerName(result[0]);
            creditCharge.setAppKey(result[1]);
            creditCharge.setIsCharge(changeInt(result[2]));
            creditCharge.setRequestId(result[3]);
            creditCharge.setResult(result[4]);
            creditCharge.setApi(result[5]);
            creditCharge.setSouce(result[6]);
            creditCharge.setTime(Long.parseLong(result[7]));
            creditChargeService.insert(creditCharge);
        } catch (IOException e) {
            e.printStackTrace();
        }

    }
    public Integer changeInt(String isCharge){
        Integer charge= 0;
        String rs = "true";
        if((rs).equals(isCharge)){
            charge=1;
        }
        return charge;
    }
}