package com.jkcredit.asychronous.service.impl;

import com.jkcredit.asychronous.dao.ChargeRepository;
import com.jkcredit.asychronous.entity.Charge;
import com.jkcredit.asychronous.service.ChargeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author sunzhaoning
 */
@Service("chargeService")
public class ChargeServiceImpl implements ChargeService {

    @Autowired
    private ChargeRepository chargeRepository;

    @Override
    public void insert(Charge charge) {
        chargeRepository.insert(charge);
    }

    @Override
    public List<Charge> findByUserAndTime(String userName, String api, Long startTime, Long endTime) {
        return chargeRepository.findByUserAndTime(userName,api,startTime,endTime,1);
    }

    @Override
    public int findCountByUserAndTime(String userName, String api, Long startTime, Long endTime) {
        return chargeRepository.findCountByUserAndTime(userName,api,startTime,endTime,1);
    }

    @Override
    public Page<Charge> page(String userName, String api, Long startTime, Long endTime, Pageable pageable) {
        final long total= chargeRepository.findCountByUserAndTime(userName,api,startTime,endTime,1);
        final List<Charge> list = chargeRepository.findByUserAndTime(userName,api,startTime,endTime,1);
        return new PageImpl(list, pageable, total);
    }

    @Override
    public int findCountByTime(String api, Long startTime, Long endTime) {
        return chargeRepository.findCountByTime(api,startTime,endTime,1);
    }

}
